%
% Create a random set of points, transform them with a known transformation
% and recover that transformation.
%
% @author Ziv Yaniv (zivy@isis.georgetown.edu)
%
function runAbsoluteOrienation()

   fprintf('Known transformation is:\n');
   fprintf('************************\n');
   frame = createFixedAxisFrame(10,7,5,10,2,567,1)

   pointsInLeft = createRandomPoints([10,20],[988,8765],[89,600],4);
   pointsInRight = transformPoints(frame,pointsInLeft);

   fprintf('Computed transformation is:\n');
   fprintf('***************************\n');
   T = absoluteOrientation(pointsInLeft, pointsInRight)
